Commit 756e51c4 authored by Luca Giambonini's avatar Luca Giambonini

gcc rebuild, group 5

parent e84a3ab1
pkgname=ffmpeg
pkgver=3.2.9
pkgrel=1
pkgrel=2
pkgdesc='Complete solution to record, convert and stream audio and video'
arch=('x86_64')
url='http://ffmpeg.org/'
......
pkgname=ffmpeg2.8
pkgver=2.8.13
pkgrel=1
pkgrel=2
pkgdesc='Complete solution to record, convert and stream audio and video'
arch=('x86_64')
url='http://ffmpeg.org/'
......@@ -9,7 +9,7 @@ depends=('alsa-lib' 'bzip2' 'fontconfig' 'fribidi' 'gnutls' 'gsm' 'lame'
'libass' 'libbluray' 'libmodplug' 'libpulse' 'libsoxr' 'libssh'
'libtheora' 'libva' 'libvdpau' 'libwebp' 'opencore-amr' 'openjpeg'
'opus' 'schroedinger' 'sdl' 'speex' 'v4l-utils' 'xvidcore' 'zlib'
'dcadec' 'vid.stab' 'libvorbis' 'lame' 'openh264'
'dcadec' 'vid.stab' 'libvorbis' 'lame'
'libvpx' 'libx264.so' 'x265' 'libfdk-aac')
makedepends=('hardening-wrapper' 'ladspa' 'libvdpau' 'yasm')
optdepends=('ladspa: LADSPA filters')
......@@ -70,7 +70,6 @@ build() {
--enable-x11grab \
--enable-nonfree \
--enable-libfdk-aac \
--enable-libopenh264 \
--enable-libmp3lame
make
......@@ -93,4 +92,3 @@ package() {
echo -e '/usr/lib/\n/usr/lib/ffmpeg2.8/' > "${pkgdir}"/etc/ld.so.conf.d/ffmpeg2.8.conf
}
# vim: ts=2 sw=2 et:
pkgname=gst-vaapi
_pkgname=gstreamer-vaapi
pkgver=0.7.0
pkgrel=1
pkgrel=2
pkgdesc="GStreamer Multimedia Framework VA Plugins"
arch=(x86_64)
license=(LGPL)
......
pkgname=hugin-tools
_pkgname=hugin
pkgver=2017.0.0
pkgrel=3
pkgrel=4
pkgdesc="Hugin libs and tools to be used by Kipi-plugins"
arch=('x86_64')
url="http://hugin.sourceforge.net/"
......
pkgname=jack
pkgver=0.125.0
pkgrel=2
pkgrel=3
pkgdesc="A low-latency audio server"
arch=('x86_64')
license=('GPL2' 'custom:LGPL2')
......
pkgbase=jack2
pkgname=('jack2' 'jack2-dbus')
_tarname=jack
pkgver=1.9.10
pkgrel=3
pkgver=1.9.12
pkgrel=1
arch=('x86_64')
url="http://jackaudio.org/"
backup=(etc/security/limits.d/99-audio.conf)
license=('GPL')
makedepends=('python2-dbus' 'libffado' 'celt' 'opus' 'libsamplerate')
source=("https://dl.dropbox.com/u/28869550/jack-$pkgver.tar.bz2"
makedepends=('python3' 'python2-dbus' 'libffado' 'celt' 'opus' 'libsamplerate')
source=("${pkgbase}-${pkgver}::https://github.com/jackaudio/${pkgbase}/archive/v${pkgver}.tar.gz"
'99-audio.conf'
'40-hpet-permissions.rules')
md5sums=('4aeb91d7ae0cabce98355436ed4f217a'
md5sums=('6cb5dfea0586bcf009c733c4e4b04a03'
'4d928a76e3f3d77d037c42ab75ac0f0b'
'23eba69d2dbbb800f68176e5d38b9af5')
_isbuild() {
printf "%s\n" ${pkgname[@]} | grep -qx $1
}
prepare() {
cd "${pkgbase}-${pkgver}"
_pyfix() {
# https://github.com/jackaudio/jack2/issues/308
sed -i 's:bin/env python:bin/env python2:' \
"$pkgdir/usr/bin/jack_control"
"example-clients/jack_control"
# copy of the source for jack2-dbus
cp -r "${srcdir}/${pkgbase}-${pkgver}" "${srcdir}/${pkgname[1]}-${pkgver}"
# configure jack2
python3 waf configure --prefix=/usr \
--htmldir="/usr/share/doc/${pkgbase}/" \
--freebob=no \
--classic \
--dbus
# configure jack2-dbus
cd "${srcdir}/${pkgname[1]}-${pkgver}"
python3 waf configure --prefix=/usr \
--htmldir="/usr/share/doc/${pkgbase}/" \
--freebob=no \
--dbus
}
_wafconf() {
python2 waf configure --prefix=/usr \
--alsa \
--firewire $@
}
prepare() {
cd "$srcdir"
# we may do 2 different builds
cp -r $_tarname-$pkgver $_tarname-dbus-$pkgver
}
build() {
cd "$srcdir"
# mixed dbus/classic build
if _isbuild jack2; then
cd $_tarname-$pkgver
msg2 "Running Mixed D-Bus/Classic build"
_wafconf --classic --dbus
python2 waf build $MAKEFLAGS
cd ..
fi
# dbus-ONLY build
if _isbuild jack2-dbus; then
cd $_tarname-dbus-$pkgver
msg2 "Running D-Bus-only build"
_wafconf --dbus
python2 waf build $MAKEFLAGS
cd ..
fi
# build jack2
cd "${pkgname[0]}-${pkgver}"
python3 waf build
# build jack2-dbus
cd "${srcdir}/${pkgname[1]}-${pkgver}"
python3 waf build
}
package_jack2() {
! _isbuild jack2 && return 0
pkgdesc="The next-generation JACK with SMP support"
depends=('libsamplerate' 'celt' 'opus' 'libffado')
optdepends=('python2-dbus: jack_control')
depends=('celt' 'opus' 'libffado' 'python2-dbus')
conflicts=('jack')
provides=('jack' 'jackmp' 'jackdmp' 'jackdbus')
backup=(etc/security/limits.d/99-audio.conf)
cd "$srcdir/$_tarname-$pkgver"
python2 waf install --destdir="$pkgdir"
# fix for major python transition
_pyfix
cd "${pkgname[0]}-${pkgver}"
python3 waf install --destdir="${pkgdir}"
# configure realtime access/scheduling
# see https://bugs.archlinux.org/task/26343
install -Dm644 "$srcdir/99-audio.conf" \
"$pkgdir/etc/security/limits.d/99-audio.conf"
install -Dm644 "${srcdir}/99-audio.conf" \
"${pkgdir}/etc/security/limits.d/99-audio.conf"
install -Dm644 "$srcdir/40-hpet-permissions.rules" \
"$pkgdir/usr/lib/udev/rules.d/40-hpet-permissions.rules"
install -Dm644 "${srcdir}/40-hpet-permissions.rules" \
"${pkgdir}/usr/lib/udev/rules.d/40-hpet-permissions.rules"
}
package_jack2-dbus() {
! _isbuild jack2-dbus && return 0
pkgdesc="The next-generation JACK with SMP support (for D-BUS interaction only)"
depends=('libsamplerate' 'celt' 'opus' 'libffado')
optdepends=('python2-dbus: jack_control')
depends=('celt' 'opus' 'libffado' 'python2-dbus')
conflicts=('jack' 'jack2')
provides=('jack' 'jack2' 'jackmp' 'jackdmp' 'jackdbus')
backup=(etc/security/limits.d/99-audio.conf)
cd "$srcdir/$_tarname-dbus-$pkgver"
cd "${pkgname[1]}-${pkgver}"
python3 waf install --destdir="${pkgdir}"
python2 waf install --destdir="$pkgdir"
_pyfix
install -Dm644 "$srcdir/99-audio.conf" \
"$pkgdir/etc/security/limits.d/99-audio.conf"
# configure realtime access/scheduling
# see https://bugs.archlinux.org/task/26343
install -Dm644 "${srcdir}/99-audio.conf" \
"${pkgdir}/etc/security/limits.d/99-audio.conf"
install -Dm644 "$srcdir/40-hpet-permissions.rules" \
"$pkgdir/usr/lib/udev/rules.d/40-hpet-permissions.rules"
install -Dm644 "${srcdir}/40-hpet-permissions.rules" \
"${pkgdir}/usr/lib/udev/rules.d/40-hpet-permissions.rules"
}
#
# Contributor: Dave Reisner <dreisner@archlinux.org>
# Contributor: feydaykyn <feydaykyn@yahoo.fr>
pkgname=leveldb
pkgver=1.18
pkgver=1.20
pkgrel=1
pkgdesc="A fast and lightweight key/value database library"
arch=('i686' 'x86_64')
arch=('x86_64')
url="https://code.google.com/p/leveldb/"
license=('BSD')
depends=('gperftools' 'snappy')
makedepends=('git')
source=("https://github.com/google/leveldb/archive/v$pkgver.tar.gz")
sha1sums=('18684a0ad7a07920d10f5295b171fbf5eeec7337')
source=("$pkgname-$pkgver.tar.gz::https://github.com/google/leveldb/archive/v$pkgver.tar.gz")
sha1sums=('df11440c30deed5987263730180225db98de9f57')
build() {
make -C "$pkgname-$pkgver"
......@@ -30,8 +27,8 @@ package() {
"$pkgdir"/usr/share/doc/"$pkgname"
# libraries
install -m644 -t "$pkgdir/usr/lib" "libleveldb.so.${pkgver%.?*}" libleveldb.a
cp -P libleveldb.so* "$pkgdir/usr/lib"
install -m644 -t "$pkgdir/usr/lib" "out-static/libleveldb.a"
cp -P out-shared/libleveldb.so* "$pkgdir/usr/lib"
# headers
install -m644 -t "$pkgdir/usr/include/leveldb" include/leveldb/*
......
......@@ -2,7 +2,7 @@
# Contributor: damir <damir@archlinux.org>
pkgname=libcdio-paranoia
pkgver=10.2+0.93+1
pkgver=10.2+0.94+1
pkgrel=1
pkgdesc="CD paranoia libraries from libcdio"
arch=('x86_64')
......@@ -10,7 +10,7 @@ license=('GPL' 'LGPL')
url="http://www.gnu.org/software/libcdio/"
depends=('libcdio')
source=(http://ftp.gnu.org/gnu/libcdio/${pkgname}-${pkgver}.tar.bz2{,.sig})
md5sums=('0255aa50e660db7f2c39658b9c565814'
md5sums=('1e8f35be7fff7e0658063ae019ce3b6e'
'SKIP')
validpgpkeys=('DAA63BC2582034A02B923D521A8DE5008275EC21') # R. Bernstein <rocky@panix.com>
......
......@@ -8,8 +8,8 @@ arch=('x86_64')
url="http://www.ffado.org/"
license=('GPL')
depends=('libiec61883' 'libavc1394' 'libsigc++' 'libxml++' 'alsa-lib'
'dbus' 'libconfig' 'dbus-c++' 'python2-pyqt4')
makedepends=('scons' 'python2-pyqt4' 'jack2' 'python2-dbus')
'libconfig')
makedepends=('scons' 'python2-pyqt4' 'jack')
optdepends=('python2-pyqt4: mixer applet'
'python2: ffado-diag')
source=("http://www.ffado.org/files/libffado-$pkgver.tgz")
......
......@@ -2,24 +2,32 @@
pkgname=libmp4v2
pkgver=2.0.0
pkgrel=3
pkgrel=4
pkgdesc="MPEG-4 library"
arch=('x86_64')
license=('MPL')
url="http://code.google.com/p/mp4v2/"
depends=('gcc-libs')
source=("https://sources.archlinux.org/other/packages/$pkgname/mp4v2-${pkgver}.tar.bz2")
md5sums=('c91f06711225b34b4c192c9114887b14')
source=("https://sources.archlinux.org/other/packages/$pkgname/mp4v2-${pkgver}.tar.bz2"
gcc7.patch)
md5sums=('c91f06711225b34b4c192c9114887b14'
'1f0dc0fe591c0924982ba637bdcca633')
prepare() {
cd "mp4v2-${pkgver}"
patch -Np1 -i "${srcdir}/gcc7.patch"
}
build() {
cd "${srcdir}/mp4v2-${pkgver}"
cd "mp4v2-${pkgver}"
./configure --prefix=/usr
make
}
package() {
cd "${srcdir}/mp4v2-${pkgver}"
cd "mp4v2-${pkgver}"
make DESTDIR=${pkgdir} install
make DESTDIR=${pkgdir} install-man
}
https://bugs.gentoo.org/show_bug.cgi?id=600892
--- mp4v2-2.0.0/src/rtphint.cpp 2012-05-20 16:11:53.000000000 -0600
+++ /tmp/rtphint.cpp 2017-05-16 10:25:26.930705191 -0600
@@ -339,7 +339,7 @@
pSlash = strchr(pSlash, '/');
if (pSlash != NULL) {
pSlash++;
- if (pSlash != '\0') {
+ if (*pSlash != '\0') {
length = (uint32_t)strlen(pRtpMap) - (pSlash - pRtpMap);
*ppEncodingParams = (char *)MP4Calloc(length + 1);
strncpy(*ppEncodingParams, pSlash, length);
......@@ -2,7 +2,7 @@
pkgname=libva
pkgver=1.7.0
pkgrel=1
pkgrel=2
pkgdesc='Video Acceleration (VA) API for Linux'
arch=('x86_64')
url="http://freedesktop.org/wiki/Software/vaapi"
......
pkgname=libvpx
pkgver=1.6.1
pkgrel=1
pkgrel=2
pkgdesc='VP8 and VP9 codec'
arch=('x86_64')
url="http://www.webmproject.org/"
......
pkgbase=mplayer
pkgname=('mplayer' 'mencoder')
pkgver=37916
pkgver=38017
pkgrel=1
arch=('x86_64')
makedepends=(
......@@ -10,13 +10,13 @@ makedepends=(
'libdca' 'a52dec' 'schroedinger' 'libvpx' 'libpulse' 'fribidi' 'unzip' 'mesa'
'live-media' 'yasm' 'git' 'fontconfig' 'mpg123' 'ladspa' 'libass' 'libbluray'
'libcdio-paranoia' 'opus' 'subversion' 'x264' 'libx264' 'rtmpdump' 'gnutls'
'gsm' 'libdvdcss' 'libdvdread' 'libdvdnav' 'ncurses'
'gsm' 'libdvdcss' 'libdvdread' 'libdvdnav' 'ncurses' 'ffmpeg'
)
license=('GPL')
url='http://www.mplayerhq.hu/'
categories=('multimedia')
screenshot=("http://www.mplayerhq.hu/images/screenshots/gui-preview-01.jpg")
options=('!buildflags' '!emptydirs')
options=('!emptydirs')
source=($pkgbase-$pkgver::svn://svn.mplayerhq.hu/mplayer/trunk#revision=$pkgver
mplayer.desktop
include-samba-4.0.patch
......@@ -37,7 +37,10 @@ prepare() {
build() {
cd $pkgbase-$pkgver
export CFLAGS="${CFLAGS/-march=x86-64/}"
export CFLAGS="${CFLAGS/-mtune=generic/}"
export LDFLAGS="${LDFLAGS/,O1/}"
export LDFLAGS="${LDFLAGS/,--sort-common/}"
./configure --prefix=/usr \
--enable-runtime-cpudetection \
--disable-gui \
......@@ -51,19 +54,21 @@ build() {
--disable-mga \
--disable-ass-internal \
--disable-cdparanoia \
--disable-ffmpeg_a \
--enable-xvmc \
--enable-radio \
--enable-radio-capture \
--enable-smb \
--language=all \
--confdir=/etc/mplayer
--confdir=/etc/mplayer \
--extra-cflags="${CFLAGS}" \
--extra-ldflags="${LDFLAGS}"
make
}
package_mplayer() {
pkgdesc='Media player for Linux'
install=mplayer.install
backup=('etc/mplayer/codecs.conf' 'etc/mplayer/input.conf')
depends=(
'desktop-file-utils' 'ttf-dejavu' 'enca' 'libxss' 'a52dec' 'libvpx'
......@@ -72,7 +77,7 @@ package_mplayer() {
'opencore-amr' 'jack' 'libmad' 'sdl' 'libtheora' 'libcaca' 'libxxf86dga'
'fribidi' 'libjpeg' 'faac' 'faad2' 'libxvmc' 'schroedinger' 'mpg123'
'libass' 'libxxf86vm' 'libbluray' 'libcdio-paranoia' 'opus' 'rtmpdump'
'gsm' 'gnutls' 'libdvdnav' 'giflib'
'gsm' 'gnutls' 'libdvdnav' 'giflib' 'ffmpeg'
)
provides=('mplayer2')
replaces=('mplayer2')
......@@ -98,7 +103,7 @@ package_mencoder() {
'alsa-lib' 'fontconfig' 'giflib' 'libpng' 'smbclient' 'xvidcore'
'opencore-amr' 'libmad' 'libtheora' 'fribidi' 'libjpeg' 'faac' 'faad2'
'schroedinger' 'mpg123' 'libass' 'libbluray' 'libcdio-paranoia'
'libvorbis' 'opus' 'rtmpdump' 'gsm' 'libdvdnav'
'libvorbis' 'opus' 'rtmpdump' 'gsm' 'libdvdnav' 'ffmpeg'
)
make -C $pkgbase-$pkgver DESTDIR="$pkgdir" install-mencoder install-mencoder-man
......
Index: configure
===================================================================
--- configure (revision 35421)
+++ configure (working copy)
@@ -5968,8 +5968,8 @@
cat > $TMPC << EOF
#include <stdio.h>
#include <cdio/version.h>
-#include <cdio/cdda.h>
-#include <cdio/paranoia.h>
+#include <cdio/paranoia/cdda.h>
+#include <cdio/paranoia/paranoia.h>
int main(void) {
void *test = cdda_verbose_set;
printf("%s\n", CDIO_VERSION);
Index: gui/win32/interface.c
===================================================================
--- gui/win32/interface.c (revision 35421)
+++ gui/win32/interface.c (working copy)
@@ -24,7 +24,7 @@
#include "config.h"
#if defined(CONFIG_LIBCDIO)
-#include <cdio/cdda.h>
+#include <cdio/paranoia/cdda.h>
#elif defined(CONFIG_CDDA)
#include <cdda_interface.h>
#endif
Index: stream/stream_cdda.c
===================================================================
--- stream/stream_cdda.c (revision 35421)
+++ stream/stream_cdda.c (working copy)
@@ -21,8 +21,8 @@
#include <cdda_interface.h>
#include <cdda_paranoia.h>
#else
-#include <cdio/cdda.h>
-#include <cdio/paranoia.h>
+#include <cdio/paranoia/cdda.h>
+#include <cdio/paranoia/paranoia.h>
#endif
#include <stdio.h>
#include <stdlib.h>
From 6540fe04a3f9a11ba7084a49b3ee5fa2fc5b32ab Mon Sep 17 00:00:00 2001
From: James Zern <jzern@google.com>
Date: Mon, 19 Oct 2015 22:44:11 -0700
Subject: [PATCH] libvpxenc: remove some unused ctrl id mappings
VP8E_UPD_ENTROPY, VP8E_UPD_REFERENCE, VP8E_USE_REFERENCE were removed
from libvpx and the remaining values were never used here
Reviewed-by: Michael Niedermayer <michael@niedermayer.cc>
Signed-off-by: James Zern <jzern@google.com>
---
libavcodec/libvpxenc.c | 8 --------
1 file changed, 8 deletions(-)
diff --git a/libavcodec/libvpxenc.c b/libavcodec/libvpxenc.c
index 5f39783..992122c 100644
--- a/libavcodec/libvpxenc.c
+++ b/libavcodec/libvpxenc.c
@@ -104,19 +104,11 @@ typedef struct VP8EncoderContext {
/** String mappings for enum vp8e_enc_control_id */
static const char *const ctlidstr[] = {
- [VP8E_UPD_ENTROPY] = "VP8E_UPD_ENTROPY",
- [VP8E_UPD_REFERENCE] = "VP8E_UPD_REFERENCE",
- [VP8E_USE_REFERENCE] = "VP8E_USE_REFERENCE",
- [VP8E_SET_ROI_MAP] = "VP8E_SET_ROI_MAP",
- [VP8E_SET_ACTIVEMAP] = "VP8E_SET_ACTIVEMAP",
- [VP8E_SET_SCALEMODE] = "VP8E_SET_SCALEMODE",
[VP8E_SET_CPUUSED] = "VP8E_SET_CPUUSED",
[VP8E_SET_ENABLEAUTOALTREF] = "VP8E_SET_ENABLEAUTOALTREF",
[VP8E_SET_NOISE_SENSITIVITY] = "VP8E_SET_NOISE_SENSITIVITY",
- [VP8E_SET_SHARPNESS] = "VP8E_SET_SHARPNESS",
[VP8E_SET_STATIC_THRESHOLD] = "VP8E_SET_STATIC_THRESHOLD",
[VP8E_SET_TOKEN_PARTITIONS] = "VP8E_SET_TOKEN_PARTITIONS",
- [VP8E_GET_LAST_QUANTIZER] = "VP8E_GET_LAST_QUANTIZER",
[VP8E_SET_ARNR_MAXFRAMES] = "VP8E_SET_ARNR_MAXFRAMES",
[VP8E_SET_ARNR_STRENGTH] = "VP8E_SET_ARNR_STRENGTH",
[VP8E_SET_ARNR_TYPE] = "VP8E_SET_ARNR_TYPE",
--
1.7.10.4
post_install() {
update-desktop-database -q
}
post_upgrade() {
post_install
}
post_remove() {
post_install
}
\ No newline at end of file
......@@ -45,12 +45,7 @@ prepare() {
build() {
cd build
cmake ${_cmakeopts[@]} \
-DOPENCV_EXTRA_MODULES_PATH="$srcdir/opencv_contrib-$pkgver/modules" \
-DLAPACK_LIBRARIES="/usr/lib/liblapack.so;/usr/lib/libblas.so;/usr/lib/libcblas.so" \
-DLAPACK_CBLAS_H="/usr/include/cblas.h" \
-DLAPACK_LAPACKE_H="/usr/include/lapacke.h" \
../$pkgname-$pkgver
cmake ${_cmakeopts[@]} ../$pkgbase-$pkgver -DOPENCV_EXTRA_MODULES_PATH="$srcdir/opencv_contrib-${pkgver}/modules"
make
}
......
pkgname=openh264
pkgver=1.7.0
pkgrel=1
pkgrel=2
pkgdesc='OpenH264 is a codec library which supports H.264 encoding and decoding'
license=('BSD')
arch=('x86_64')
......
pkgname=protobuf-c
pkgver=1.1.1
pkgver=1.3.0
pkgrel=1
pkgdesc='Protocol Buffers implementation in C'
arch=('x86_64')
......@@ -7,7 +7,7 @@ url='https://github.com/protobuf-c/protobuf-c'
license=('BSD')
depends=('protobuf')
source=($url/releases/download/v$pkgver/protobuf-c-$pkgver.tar.gz)
md5sums=('41d437677ea16f9d3611d98841c4af3b')
md5sums=('08804f8bdbb3d6d44c2ec9e71e47ef6f')
build() {
cd $pkgname-$pkgver
......
......@@ -6,7 +6,7 @@
pkgbase=python-numpy
pkgname=('python3-numpy' 'python2-numpy')
pkgver=1.13.3
pkgver=1.14.0
pkgrel=1
pkgdesc="Scientific tools for Python"
arch=('x86_64')
......@@ -20,7 +20,7 @@ makedepends=('openblas'
'python3-nose' 'python2-nose'
'python3-cython' 'python2-cython')
source=(https://github.com/numpy/numpy/archive/v${pkgver}.tar.gz "site.cfg")
md5sums=('a0d7ae9fa51a597d7d45871bfe50962b'
md5sums=('c320ea6b58219080233019c1f3c221a0'
'050c4ca9c90195558ac037ae2af48ff9')
options=('staticlibs')
......
pkgbase=pyqt5
pkgname=('python-pyqt5-common' 'python3-pyqt5' 'python2-pyqt5')
pkgver=5.10
pkgrel=1
pkgrel=2
arch=('x86_64')
url="http://riverbankcomputing.co.uk/software/pyqt/intro"
license=('GPL')
......
#
# Platform packages for Chakra, part of chakra-project.org
#
# Contributor: damir <damir@archlinux.org>
# Maintainer: Bruce Liu <rainman59118@gmail.com>
pkgname=vcdimager
pkgver=0.7.24
pkgrel=3
pkgver=2.0.1
pkgrel=1
pkgdesc="GNU VCDImager is a full-featured mastering suite for authoring disassembling and analyzing Video CD's and Super Video CD's"
arch=('x86_64')
license=('GPL')
url="http://www.vcdimager.org/"
depends=('libcdio' 'libxml2' 'popt')
options=('!libtool')
install=vcdimager.install
source=("ftp://ftp.gnu.org/gnu/vcdimager/${pkgname}-${pkgver}.tar.gz")
md5sums=('3af22978fd79c79d5fda6513b6811145')
md5sums=('3890d73da62d0607c87962c41cd33a29')
build() {
cd "${srcdir}/${pkgname}-${pkgver}"
......
pkgbase=vigra
pkgname=('vigra' 'vigra-doc')
pkgver=1.11.1
pkgrel=1
pkgrel=2
arch=('x86_64')
url="http://hci.iwr.uni-heidelberg.de/vigra/"
license=('custom:MIT')
......
......@@ -2,7 +2,7 @@
pkgname=vlc
pkgver=2.2.8
pkgrel=1
pkgrel=2
pkgdesc="A multi-platform MPEG, VCD/DVD, and DivX player"
arch=('x86_64')
url="https://www.videolan.org/vlc/"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment